﻿using UnityEngine;
using System.Collections;

// zooms out the camera as bones are collected
public class CameraZoomOut : MonoBehaviour {

	public Limb[] limbs;
	Camera cam;


	// Grab the camera to save on GetComponent calls
	void Start () {
		cam = gameObject.GetComponent<Camera> ();
	}
	
	// Count up the number of bones, then change the orthogonal screen size accordingly.
	void Update () {
		float size = 0;
		foreach (Limb limb in limbs)
		{
			size += limb.numberBones;
		}
		cam.orthographicSize = 1 + size / 10;
	}
}
