﻿using UnityEngine;
using System.Collections;

// Bone that moves across the screen, longing to be claimed by a skeleton
public class FlyingBone : MonoBehaviour {

	public bool toDestroy = false;
	public float velocity = 1.0f;

	// Move this further across the screen and wiggle it around in the air a bit
	void Update () {
		float rot = Mathf.Cos(Time.time)*180/Mathf.PI;
		Vector3 forward = Vector3.forward;
		Quaternion q = Quaternion.AngleAxis (rot, forward);
		transform.rotation = q;
		Vector2 pos = transform.position;
		pos.x += velocity*Time.deltaTime;
		// if this is outside of the view it raises its hand to signal it wants to be destroyed
		if (pos.x > 20 || pos.x < -20) { toDestroy = true; }
		else { transform.position = pos; }
	}
}
