﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

// class for spawning and destroying flying bones
public class FlyingBoneManager : MonoBehaviour {
	
	List<FlyingBone> bones;
	public FlyingBone bone;
	public int bonesdestroyed;
	public int maxbones=15;
	public float maxheight=10;
	public float minheight=-1;
	
	void Start () {
		bones = new List<FlyingBone>();
	}
	
	// Each frame there's a chance of spawning a new bone at a random spot
	// It then checks for any bones that need a destroyin' and does so.
	void Update () {
		if (bones.Count < maxbones && Random.Range(0, 2000) < bonesdestroyed+10) 
		{
			float spawnX = 0;
			if (Random.Range (0, 2) == 0) { spawnX = 15; } else {spawnX = -15; }
			FlyingBone newbone = (FlyingBone) Instantiate (bone, 
			                                               new Vector2(spawnX, 
			            Random.Range (minheight, Mathf.Min(maxheight, Mathf.Max(bonesdestroyed/2-5, 0)))), Quaternion.identity);
			newbone.velocity = -Mathf.Sign(spawnX)*(bonesdestroyed/30+2);
			bones.Add(newbone);
		}
		List<FlyingBone> toDestroy = new List<FlyingBone>();
		foreach (FlyingBone fbone in bones)
		{
			if (fbone.toDestroy) 
			{
				toDestroy.Add (fbone);
			}
		}
		foreach (FlyingBone fbone in toDestroy)
		{
			bones.Remove (fbone);
			Destroy (fbone.gameObject);
			bonesdestroyed++;
		}
	}
}
