﻿using UnityEngine;
using System.Collections;

public class FootControl : MonoBehaviour {

	public string horz = "Horizontal";
	public string vert = "Vertical";
	public string on = "Fire1";
	public bool moving = false;
	Limb limb;
	Vector2 initPosition;

	// find the limb and the initial position
	void Start () {
		limb = gameObject.GetComponent<Limb> ();
		initPosition = transform.position;
	}
	
	// Each update, move if thi foot has control and it's not moving too far away from the skeleton.
	void Update () {
		float horiz = Input.GetAxis (horz);
		float verti = Input.GetAxis (vert);
		bool canmove = Input.GetAxis (on) > 0;

		// if we're already moving, keep doing so
		if (canmove && moving) 
		{
			Vector2 loc = transform.position;
			Vector2 vectfromstart = (initPosition - loc);
			float distfromstart = vectfromstart.magnitude;
			if (distfromstart < limb.numberBones*0.56 || Vector2.Dot (vectfromstart, new Vector2(horiz, verti)) > 0.0f)
			{
				loc.x += horiz*0.1f;
				loc.y += verti*0.1f;
				transform.position = loc;
			}
		} 
		// If we're not already moving, let it be known that we are, turn off the limb colliders, and set the gravity on this to 0.
		// Then also move.
		else if (canmove && !moving)
		{
			limb.turnOffColliders = true;
			moving = true;
			gameObject.GetComponent<Rigidbody2D>().gravityScale = 0;
			Vector2 loc = transform.position;
			Vector2 vectfromstart = (initPosition - loc);
			float distfromstart = vectfromstart.magnitude;
			if (distfromstart < limb.numberBones*0.56 || Vector2.Dot (vectfromstart, new Vector2(horiz, verti)) > 0.0f)
			{
				loc.x += horiz*0.1f;
				loc.y += verti*0.1f;
				transform.position = loc;
			}
		}
		// If we were moving but we no longer can, go back to the default settings.
		else if (!canmove && moving)
		{
			limb.turnOffColliders = false;
			moving = false;
			gameObject.GetComponent<Rigidbody2D>().gravityScale = 1;
		}

	}
}
