﻿using UnityEngine;
using System.Collections;

// the limb component acts as a communication bridge between the skeleton and the appendages
public class Limb : MonoBehaviour {

	public float numberBones = 0;
	public bool needsNewBone = false;
	public bool turnOffColliders = false;
	public bool collidersOff = false;
	public Vector2 initialHingleLoc;

	// if a FlyingBone enters this, we need a new bone and to destroy the flying bone
	void OnTriggerEnter2D(Collider2D collide)
	{
		if (collide.gameObject.layer == 8) 
		{
			needsNewBone = true;
			collide.GetComponent<FlyingBone>().toDestroy = true;
		}
	}

	// if we're told a bone has been added we don't need another and we increment the bones we have
	public void AddedBone() 
	{
		needsNewBone = false;
		numberBones++;
	}
}
